%define         PYVER           2.6
%define         __python        python%{PYVER}
%define         PVER            %(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		calibre
#Epoch:		0
Version:	0.7.10
Release:	1
License:	GPLv3,LGPL,BSD and others	
URL:		http://calibre-ebook.com/
Group:		Publishing
Summary:	free and open source e-book library management application
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
Patch0:		calibre-force_mounthelper_build.patch

# Requires:
Requires: python26-mechanize
Requires: python26-cssutils
Requires: python26-dateutil

# BuildRequires:
BuildRequires: python26-mechanize
BuildRequires: python26-cssutils
BuildRequires: python26-dateutil
BuildRequires: python26-pyqt-devel
BuildRequires: libjpeg-devel
BuildRequires: python26-lxml
BuildRequires: podofo-devel
BuildRequires: python26-pil-devel
BuildRequires: xdg-utils
BuildRequires: poppler-qt4-devel
BuildRequires: python26-beautifulsoup

#Automatically resolved build dependencies
BuildRequires: chmlib-devel
BuildRequires: coreutils
BuildRequires: fontconfig-devel
BuildRequires: glibc-devel
BuildRequires: ImageMagick-devel
BuildRequires: libgcc
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: poppler-devel
BuildRequires: python26-devel
BuildRequires: qt4-devel

%description
calibre is a free and open source e-book library management application developed by users of e-books for users of e-books.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" /usr/bin/python2.6 setup.py build

%install
rm -Rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/lib/python2.6/site-packages

/usr/bin/python2.6 setup.py install --prefix=%{_prefix} --staging-root $RPM_BUILD_ROOT%{_prefix}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
mv $RPM_BUILD_ROOT%{_prefix}%{_sysconfdir}/bash_completion.d/calibre $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/calibre
rm -rf $RPM_BUILD_ROOT%{_prefix}%{_sysconfdir}

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/calibre-mount-helper $RPM_BUILD_ROOT%{_sbindir}/calibre-mount-helper
chmod u+s $RPM_BUILD_ROOT%{_sbindir}/calibre-mount-helper
rm -rf $RPM_BUILD_ROOT%{_bindir}/calibre-mount-helper

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/bash_completion.d/calibre
%{_bindir}/calibre
%{_bindir}/calibre-complete
%{_bindir}/calibre-customize
%{_bindir}/calibredb
%{_bindir}/calibre-debug
%{_bindir}/calibre-parallel
%{_bindir}/calibre-server
%{_bindir}/calibre-smtp
%{_bindir}/calibre-uninstall
%{_bindir}/ebook-convert
%{_bindir}/ebook-device
%{_bindir}/ebook-meta
%{_bindir}/ebook-viewer
%{_bindir}/epub-fix
%{_bindir}/fetch-ebook-metadata
%{_bindir}/librarything
%{_bindir}/lrf2lrs
%{_bindir}/lrfviewer
%{_bindir}/lrs2lrf
%{_bindir}/markdown-calibre
%{_bindir}/pdfmanipulate
%{_bindir}/web2disk
%{_sbindir}/calibre-mount-helper
%{_libdir}/calibre
%{_datadir}/calibre
%{python_sitelib}
#/usr/lib/python2.6/site-packages/init_calibre.py

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sat Jul 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.10-1
- Version update
* Mon Jun 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.1-1
- initial CCux package release
